from Testing import ZopeTestCase
from Products.CMFPlone.tests import PloneTestCase
from Products.CMFCore.utils import getToolByName


class TestHotfix(PloneTestCase.PloneTestCase):
    def afterSetUp(self):
        self.rt=getToolByName(self.portal, 'portal_registration')

        self.portal.acl_users.userFolderAddUser("userid", "password",
                (), (), ())
        self.portal.acl_users._doAddGroup("groupid", ())

    def testNewIdAllowed(self):
        self.assertEqual(self.rt.isMemberIdAllowed('newuser'), 1)


    def testTakenUserId(self):
        self.assertEqual(self.rt.isMemberIdAllowed('userid'), 0)


    def testTakenGroupd(self):
        self.assertEqual(self.rt.isMemberIdAllowed('groupid'), 0)


def test_suite():
    from unittest import TestSuite, makeSuite

    suite = TestSuite()
    suite.addTest(makeSuite(TestHotfix))
    return suite

